package server

import (
	cs "git.loafle.net/commons/server-go"
	ocs "git.loafle.net/overflow/container-go/server"
)

type ServerHandler interface {
	ocs.ServerHandler
}

type ServerHandlers struct {
	ocs.ServerHandlers
}

func (sh *ServerHandlers) Init(serverCtx cs.ServerCtx) error {
	if err := sh.ServerHandlers.Init(serverCtx); nil != err {
		return err
	}

	return nil
}

func (sh *ServerHandlers) OnStart(serverCtx cs.ServerCtx) error {
	if err := sh.ServerHandlers.OnStart(serverCtx); nil != err {
		return err
	}

	return nil
}

func (sh *ServerHandlers) OnStop(serverCtx cs.ServerCtx) {

	sh.ServerHandlers.OnStop(serverCtx)
}

func (sh *ServerHandlers) Destroy(serverCtx cs.ServerCtx) {

	sh.ServerHandlers.Destroy(serverCtx)
}

func (sh *ServerHandlers) Validate() error {
	if err := sh.ServerHandlers.Validate(); nil != err {
		return err
	}

	return nil
}
